{
  "compilerOptions": {
    "target": "ES2022",
    "lib": [
      "dom",
      "ES2022"
    ],
    "jsx": "preserve",
    "module": "ESNext",
    "moduleResolution": "Bundler",
    "baseUrl": ".",
    "paths": {
      "@/*": [
        "./*"
      ]
    },
    "strict": true,
    "noEmit": true,
    "types": [
      "vitest/globals",
      "node"
    ],
    "allowJs": true,
    "skipLibCheck": true,
    "incremental": true,
    "esModuleInterop": true,
    "resolveJsonModule": true,
    "isolatedModules": true,
    "plugins": [
      {
        "name": "next"
      }
    ]
  },
  "include": [
    "app",
    "components",
    "lib",
    "tests",
    "sitemap.ts",
    "next-env.d.ts",
    ".next/types/**/*.ts"
  ],
  "exclude": [
    "node_modules"
  ]
}
